%define name gnoise
%define version 0.1.7
%define release 2mdk


Version: %{version}
Summary: GTK-based wave file editor
Name: %{name}
Release: %{release}
Copyright: GPL
Group: Sound
Source: %{name}-%{version}.tar.bz2
URL: http://sourceforge.net/projects/gnoise/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
GNoise is a GTK-based wave file editor for Linux capable of handling large 
files. A peaks display cache provides a fast, double-buffered display.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gnoise"\
title="Gnoise"\
longtitle="Wave file editor"\
needs="x11"\
section="Multimedia/Sound"
EOF
)
 
%post
%update_menus
 
%postun
%clean_menus 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL TODO ChangeLog
%{_bindir}/*
%{_menudir}/*

%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-2mdk
- rebuild

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-1mdk
- updated to 0.1.7

* Tue Nov 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-1mdk
- updated to 0.1.6

*Thu Oct 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-1mdk
- new in contribs
- add menu entry
